#include "settings.h"
#include "ui_settings.h"
#include <QFileDialog>

settings::settings(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::settings)
{
    ui->setupUi(this);
    connect(ui->pushButton_browse,SIGNAL(clicked()),this,SLOT(browse()));
}

settings::~settings()
{
    delete ui;
}

void settings::changeEvent(QEvent *e)
{
    QDialog::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        ui->retranslateUi(this);
        break;
    default:
        break;
    }
}

void settings::browse(void)
{
      QString filename;

      filename=QFileDialog::getOpenFileName(this,"Open Sound File","","WAV file (*.wav)");
      ui->lineEdit_soundfile->setText(filename);
}

int settings::getTiptime(void)
{
    return ui->spinBox_tipTimer->value();
}

void settings::setTiptime(int Tiptime)
{
    ui->spinBox_tipTimer->setValue(Tiptime);
}

int settings::getBacktime(void)
{
    return ui->spinBox_backTime->value();
}

void settings::setBacktime(int Backtime)
{
    ui->spinBox_backTime->setValue(Backtime);
}

int settings::getSkiptime(void)
{
    return ui->spinBox_skipTime->value();
}

void settings::setSkiptime(int Skiptime)
{
    ui->spinBox_skipTime->setValue(Skiptime);
}

int settings::getVolumestep(void)
{
    return ui->spinBox_volumeStep->value();
}

void settings::setVolumestep(int Volumestep)
{
    ui->spinBox_volumeStep->setValue(Volumestep);
}

QString settings::getSoundfile(void)
{
    return ui->lineEdit_soundfile->text();
}

void settings::setSoundfile(QString Soundfile)
{
    ui->lineEdit_soundfile->setText(Soundfile);
}

int settings::getPlayUsing(void)
{
    return ui->comboBox_playUsing->currentIndex();
}

void settings::setPlayUsing(int PlayUsing)
{
    ui->comboBox_playUsing->setCurrentIndex(PlayUsing);
}

QString settings::getCommand(void)
{
    return ui->lineEdit_command->text();
}

void settings::setCommand(QString Command)
{
    ui->lineEdit_command->setText(Command);
}
